Bug 1729642 - [abrt] gnome-shell: JSObject::compartment(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: JSObject::compartment(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:256b9b3cab488b8e1d9ebd8c7bd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-13 05:57 UTC by arun kumar mohan
Modified: 2019-11-27 23:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:01:00 UTC


Attachments (Terms of Use)
File: backtrace (191.47 KB, text/plain)
2019-07-13 05:57 UTC, arun kumar mohan
no flags Details
File: cgroup (345 bytes, text/plain)
2019-07-13 05:57 UTC, arun kumar mohan
no flags Details
File: core_backtrace (31.22 KB, text/plain)
2019-07-13 05:57 UTC, arun kumar mohan
no flags Details
File: cpuinfo (1.43 KB, text/plain)
2019-07-13 05:57 UTC, arun kumar mohan
no flags Details
File: dso_list (24.18 KB, text/plain)
2019-07-13 05:57 UTC, arun kumar mohan
no flags Details
File: environ (1.68 KB, text/plain)
2019-07-13 05:57 UTC, arun kumar mohan
no flags Details
File: exploitable (82 bytes, text/plain)
2019-07-13 05:57 UTC, arun kumar mohan
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-13 05:57 UTC, arun kumar mohan
no flags Details
File: maps (184.49 KB, text/plain)
2019-07-13 05:57 UTC, arun kumar mohan
no flags Details
File: mountinfo (3.59 KB, text/plain)
2019-07-13 05:57 UTC, arun kumar mohan
no flags Details
File: open_fds (10.84 KB, text/plain)
2019-07-13 05:57 UTC, arun kumar mohan
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2019-07-13 05:57 UTC, arun kumar mohan
no flags Details
File: var_log_messages (1.33 KB, text/plain)
2019-07-13 05:57 UTC, arun kumar mohan
no flags Details

Description arun kumar mohan 2019-07-13 05:57:06 UTC
Version-Release number of selected component:
gnome-shell-3.30.2-1.fc29

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: JSObject::compartment
executable:     /usr/bin/gnome-shell
journald_cursor: s=448b712583ea4c69b7d044d4cec0706c;i=a4b9d;b=d037b0eca8304de3b3cbda4b91e09a9b;m=52a42ffab;t=58d8933001047;x=1da3031a83c5dcf9
kernel:         5.1.15-200.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 JSObject::compartment at /usr/src/debug/mozjs60-60.4.0-1.fc29.x86_64/vm/JSObject.h:167
 #1 js::SetMaybeAliveFlag<JSObject> at /usr/src/debug/mozjs60-60.4.0-1.fc29.x86_64/vm/JSCompartment.h:1245
 #2 DoMarking<JSObject> at /usr/src/debug/mozjs60-60.4.0-1.fc29.x86_64/gc/Marking.cpp:821
 #4 ObjectBase::trace_impl at gi/object.cpp:1593
 #5 js::Class::doTrace at /usr/src/debug/mozjs60-60.4.0-1.fc29.x86_64/dist/include/js/Class.h:872
 #6 CallTraceHook<TraverseObjectFunctor, js::GCMarker*, JSObject*&> at /usr/src/debug/mozjs60-60.4.0-1.fc29.x86_64/gc/Marking.cpp:1597
 #7 js::GCMarker::processMarkStackTop at /usr/src/debug/mozjs60-60.4.0-1.fc29.x86_64/gc/Marking.cpp:1824
 #8 js::GCMarker::drainMarkStack at /usr/src/debug/mozjs60-60.4.0-1.fc29.x86_64/gc/Marking.cpp:1643
 #9 js::gc::GCRuntime::drainMarkStack at /usr/src/debug/mozjs60-60.4.0-1.fc29.x86_64/gc/GC.cpp:5855
 #10 js::gc::GCRuntime::incrementalCollectSlice at /usr/src/debug/mozjs60-60.4.0-1.fc29.x86_64/gc/GC.cpp:7051

Comment 1 arun kumar mohan 2019-07-13 05:57:13 UTC
Created attachment 1590133 [details]
File: backtrace

Comment 2 arun kumar mohan 2019-07-13 05:57:14 UTC
Created attachment 1590134 [details]
File: cgroup

Comment 3 arun kumar mohan 2019-07-13 05:57:17 UTC
Created attachment 1590135 [details]
File: core_backtrace

Comment 4 arun kumar mohan 2019-07-13 05:57:19 UTC
Created attachment 1590136 [details]
File: cpuinfo

Comment 5 arun kumar mohan 2019-07-13 05:57:21 UTC
Created attachment 1590137 [details]
File: dso_list

Comment 6 arun kumar mohan 2019-07-13 05:57:23 UTC
Created attachment 1590138 [details]
File: environ

Comment 7 arun kumar mohan 2019-07-13 05:57:24 UTC
Created attachment 1590139 [details]
File: exploitable

Comment 8 arun kumar mohan 2019-07-13 05:57:26 UTC
Created attachment 1590140 [details]
File: limits

Comment 9 arun kumar mohan 2019-07-13 05:57:29 UTC
Created attachment 1590141 [details]
File: maps

Comment 10 arun kumar mohan 2019-07-13 05:57:31 UTC
Created attachment 1590142 [details]
File: mountinfo

Comment 11 arun kumar mohan 2019-07-13 05:57:34 UTC
Created attachment 1590143 [details]
File: open_fds

Comment 12 arun kumar mohan 2019-07-13 05:57:35 UTC
Created attachment 1590144 [details]
File: proc_pid_status

Comment 13 arun kumar mohan 2019-07-13 05:57:37 UTC
Created attachment 1590145 [details]
File: var_log_messages

Comment 14 Ben Cotton 2019-10-31 19:03:44 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-11-27 23:01:00 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.